﻿using System;

namespace BeeDevelopment.Infrared {
	
	/// <summary>
	/// The interface that all remote control protocol handlers must adhere to.
	/// </summary>
	interface IRemoteControlProtocolHandler {
		
		/// <summary>
		/// Handle the change in input pin signal state.
		/// </summary>
		/// <param name="time">The time, in seconds, since the pin last changed state.</param>
		/// <param name="newState">The new state of the pin.</param>
		void PinChanged(double time, bool newState);
		
		/// <summary>
		/// An event fired when a command has been received in its entirety.
		/// </summary>
		event EventHandler<InfraredCommandReceivedEventArgs> CommandReceived;
	}

}
