﻿using System;
using System.Collections.Generic;
using System.Text;

namespace BeeDevelopment.Infrared.Protocols {
	/// <summary>
	/// Represents a command sent by an old Panasonic remote control.
	/// </summary>
	class OldPanasonicCommand : InfraredCommand {

		/// <summary>
		/// Gets the device address of the button pressed.
		/// </summary>
		public int Address {
			get { return (int)this.GetRange(0, 5); }
		}

		/// <summary>
		/// Gets the command ID of the button pressed.
		/// </summary>
		public int Command {
			get { return (int)this.GetRange(5, 6); }
		}

		/// <summary>
		/// Converts the <see cref="OldPanasonicCommand"/> into a descriptive string.
		/// </summary>
		/// <returns>A string describing the command.</returns>
		public override string ToString() {
			return string.Format("Address={0}, Command={1}", this.Address, this.Command);
		}

	}
}
